astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- IRSA Image Server program interface (IBE) Queries (`astroquery.ipac.irsa.ibe`) »
- IbeClass

# IbeClass

class astroquery.ipac.irsa.ibe.IbeClass

  Bases: `BaseQuery`

  Attributes Summary

  `DATASET` |
  `MISSION` |
  `TABLE` |
  `TIMEOUT` |
  `URL` |

  Methods Summary

  `get_columns`(*[, mission, dataset, table]) | Get the schema for a given table.
  `list_datasets`(*[, mission, cache]) | For a given mission, list the available datasets
  `list_missions`(*[, cache]) | Return a list of the available missions
  `list_tables`(*[, mission, dataset, cache]) | For a given mission and dataset (see `list_missions`, `list_datasets`), returns the list of valid table names to query.
  `query_region`(*[, coordinate, where, ...]) | For certain missions, this function can be used to search for image and catalog files based on a point, a box (bounded by great circles) and/or an SQL-like `where` clause.
  `query_region_async`(*[, coordinate, where, ...]) | For certain missions, this function can be used to search for image and catalog files based on a point, a box (bounded by great circles) and/or an SQL-like `where` clause.
  `query_region_sia`(*[, coordinate, mission, ...]) | Query using simple image access protocol.
  `show_docs`(*[, mission, dataset, table]) | Open the documentation for a given table in a web browser.

  Attributes Documentation

  DATASET = 'images'
  MISSION = 'ptf'
  TABLE = 'level1'
  TIMEOUT = 120
  URL = 'https://irsa.ipac.caltech.edu/ibe/'

  Methods Documentation

  get_columns(*, mission=None, dataset=None, table=None)

    Get the schema for a given table.

    Parameters:
      mission str

        The mission to be used (if not the default mission).

      dataset str

        The dataset to be used (if not the default dataset).

      table str

        The table to be queried (if not the default table).

    Returns:
      table `Table`

        A table containing a description of the columns

  list_datasets(*, mission=None, cache=True)

    For a given mission, list the available datasets

    Parameters:
      mission str

        A mission name. Must be one of the valid missions from `list_missions`. Defaults to the configured Mission

      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

    Returns:
      datasets list

        A list of dataset names

  list_missions(*, cache=True)

    Return a list of the available missions

    Parameters:
      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

  list_tables(*, mission=None, dataset=None, cache=True)

    For a given mission and dataset (see `list_missions`, `list_datasets`), returns the list of valid table names to query.

    Parameters:
      mission str

        A mission name. Must be one of the valid missions from `list_missions`. Defaults to the configured Mission

      dataset str

        A dataset name. Must be one of the valid dataset from `list_datsets(mission)`. Defaults to the configured Dataset

      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

    Returns:
      tables list

        A list of table names

  query_region(*, coordinate=None, where=None, mission=None, dataset=None, table=None, columns=None, width=None, height=None, intersect='OVERLAPS', most_centered=False)

    For certain missions, this function can be used to search for image and catalog files based on a point, a box (bounded by great circles) and/or an SQL-like `where` clause.

    If `coordinates` is specified, then the optional `width` and `height` arguments control the width and height of the search box. If neither `width` nor `height` are provided, then the search area is a point. If only one of `width` or `height` are specified, then the search area is a square with that side length centered at the coordinate.

    Parameters:
      coordinate str, `astropy.coordinates` object

        Gives the position of the center of the box if performing a box search. If it is a string, then it must be a valid argument to `SkyCoord`. Required if `where` is absent.

      where str

        SQL-like query string. Required if `coordinates` is absent.

      mission str

        The mission to be used (if not the default mission).

      dataset str

        The dataset to be used (if not the default dataset).

      table str

        The table to be queried (if not the default table).

      columns str, list

        A space-separated string or a list of strings of the names of the columns to return.

      width str or `Quantity` object

        Width of the search box if `coordinates` is present.

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used.

      height str, `Quantity` object

        Height of the search box if `coordinates` is present.

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used.

      intersect`'COVERS'`, `'ENCLOSED'`, `'CENTER'`, `'OVERLAPS'`

        Spatial relationship between search box and image footprint.

        `'COVERS'`: X must completely contain S. Equivalent to `'CENTER'` and `'OVERLAPS'` if S is a point.

        `'ENCLOSED'`: S must completely contain X. If S is a point, the query will always return an empty image table.

        `'CENTER'`: X must contain the center of S. If S is a point, this is equivalent to `'COVERS'` and `'OVERLAPS'`.

        `'OVERLAPS'`: The intersection of S and X is non-empty. If S is a point, this is equivalent to `'CENTER'` and `'COVERS'`.

      most_centered bool

        If True, then only the most centered image is returned.

    Returns:
      table `Table`

        A table containing the results of the query

  query_region_async(*, coordinate=None, where=None, mission=None, dataset=None, table=None, columns=None, width=None, height=None, action='search', intersect='OVERLAPS', most_centered=False)

    For certain missions, this function can be used to search for image and catalog files based on a point, a box (bounded by great circles) and/or an SQL-like `where` clause.

    If `coordinates` is specified, then the optional `width` and `height` arguments control the width and height of the search box. If neither `width` nor `height` are provided, then the search area is a point. If only one of `width` or `height` are specified, then the search area is a square with that side length centered at the coordinate.

    Parameters:
      coordinate str, `astropy.coordinates` object

        Gives the position of the center of the box if performing a box search. If it is a string, then it must be a valid argument to `SkyCoord`. Required if `where` is absent.

      where str

        SQL-like query string. Required if `coordinates` is absent.

      mission str

        The mission to be used (if not the default mission).

      dataset str

        The dataset to be used (if not the default dataset).

      table str

        The table to be queried (if not the default table).

      columns str, list

        A space-separated string or a list of strings of the names of the columns to return.

      width str or `Quantity` object

        Width of the search box if `coordinates` is present.

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used.

      height str, `Quantity` object

        Height of the search box if `coordinates` is present.

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used.

      intersect`'COVERS'`, `'ENCLOSED'`, `'CENTER'`, `'OVERLAPS'`

        Spatial relationship between search box and image footprint.

        `'COVERS'`: X must completely contain S. Equivalent to `'CENTER'` and `'OVERLAPS'` if S is a point.

        `'ENCLOSED'`: S must completely contain X. If S is a point, the query will always return an empty image table.

        `'CENTER'`: X must contain the center of S. If S is a point, this is equivalent to `'COVERS'` and `'OVERLAPS'`.

        `'OVERLAPS'`: The intersection of S and X is non-empty. If S is a point, this is equivalent to `'CENTER'` and `'COVERS'`.

      most_centered bool

        If True, then only the most centered image is returned.

      action`'search'`, `'data'`, or `'sia'`

        The action to perform at the server. The default is `'search'`, which returns a table of the available data. `'data'` requires advanced path construction that is not yet supported. `'sia'` provides access to the ‘simple image access’ IVOA protocol

    Returns:
      response `Response`

        The HTTP response returned from the service

  query_region_sia(*, coordinate=None, mission=None, dataset=None, table=None, width=None, height=None, intersect='OVERLAPS', most_centered=False)

    Query using simple image access protocol. See `query_region` for details. The returned table will include a list of URLs.

  show_docs(*, mission=None, dataset=None, table=None)

    Open the documentation for a given table in a web browser.

    Parameters:
      mission str

        The mission to be used (if not the default mission).

      dataset str

        The dataset to be used (if not the default dataset).

      table str

        The table to be queried (if not the default table).